Is Joomla 2.5 compatible with php 7?

General questions relating to Joomla! 2.5. Note: All 1.6 and 1.7 releases have reached end of life and should be updated to 2.5. There are other boards for more specific help on Joomla! features and extensions.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Locked
gboyce
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Mar 26, 2014 12:09 pm

Is Joomla 2.5 compatible with php 7?

Post by gboyce » Mon Nov 30, 2015 11:09 pm

What hurdles will I be facing if I choose to stay with Joomla 2.5 and upgrade php to 7?

mbabker
Joomla! Hero
Joomla! Hero
Posts: 2176
Joined: Sun Feb 28, 2010 8:26 pm

Re: Is Joomla 2.5 compatible with php 7?

Post by mbabker » Tue Dec 01, 2015 4:54 am

Having not even evaluated the 2.5 branch, I'm not sure whether it will run on PHP 7 as intended or require changes. The most widespread changes needed for the 3.5 branch related to the uniform variable syntax RFC (https://wiki.php.net/rfc/uniform_variable_syntax) and a voluntary change to the error handling system to catch the Throwable interface (https://wiki.php.net/rfc/throwable-interface). Ensure you are using the MySQLi database driver versus MySQL as the code the latter is based on is removed in PHP 7.

My guess is you can probably get 2.5 running on PHP 7, but you're going to have to hack at core to do it. Searching the pull requests on GitHub for PHP 7 related changes will help with this, but that will only cover code in its state as of 3.4's release (so any refactorings that happened between 2.5 and 3.4 you'll have to trace back and any deprecated code that was removed with 3.0 you'll need to look at yourself).
So long and thanks for all the fish.

Manually updating Joomla? See https://gist.github.com/mbabker/d7bfb4e ... 3607f89281

bozenor
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Thu Dec 10, 2015 9:05 am
Contact:

Re: Is Joomla 2.5 compatible with php 7?

Post by bozenor » Thu Dec 10, 2015 9:08 am

Thank you very much! :)


Locked

Return to “General Questions/New to Joomla! 2.5”